Name:           xtvd
Version:        2.0.1
Release:        3%{?dist}
Summary:        A client java library for easy access to the tv data from schedulesdirect.org 
Group:          Development/Libraries
License:        GPL+
URL:            http://xtvdclient.sourceforge.net/
#svn co https://xtvdclient.svn.sourceforge.net/svnroot/xtvdclient/tags/2.0.1 xtvd-2.0.1
Source0:        %{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     java-devel >= 1:1.6.0
BuildRequires:     jpackage-utils
BuildRequires:     jdom

%description
A client java library for easy access to the tv data from schedulesdirect.org.


%package lib
Summary:           A client java library for easy access to the tv data from schedulesdirect.org
Group:             Development/Libraries
Requires:          java >= 1:1.6.0
Requires:          jpackage-utils

%description lib
A client java library for easy access to the tv data from schedulesdirect.org.


%package gui
Summary:           This client is only a small demonstration for the usage of the library
Group:             Applications/Multimedia
Requires:          java >= 1:1.6.0
Requires:          jpackage-utils
Requires:          %{name}-lib = %{version}-%{release}

%description gui
This client is only a small demonstration for the usage of the library.
It's an enhanced verison of the old XTVD WEBSERVICE CLIENT by Tribune
Media Services, Inc.


%package lib-javadoc
Summary:           Javadocs for xtvd-lib
Group:             Documentation
Requires:          %{name}-lib = %{version}-%{release}
Requires:          jpackage-utils

%description lib-javadoc
xtvd-lib development documentation.


%prep
%setup -q # -n %{name}-%{version}

%build
# lib
pushd %{name}-lib
rm -rf target
mkdir target
javac -d target `find -name '*.java'`

jar -cf ../%{name}-lib-%{version}.jar -C target .

# lib-javadoc
javadoc -d doc `find src -name '*.java'`

popd


# gui
pushd %{name}-gui
rm -rf target
mkdir target
javac -d target -cp ../%{name}-lib-%{version}.jar:`build-classpath jdom` `find -name '*.java'`
jar -cf ../%{name}-gui-%{version}.jar -C target .
popd


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_javadir}

# lib
install -m644 %{name}-lib-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-lib-%{version}.jar
ln -s %{name}-lib-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-lib.jar

# gui
install -m644 %{name}-gui-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-gui-%{version}.jar
ln -s %{name}-gui-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-gui.jar

# lib-javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp %{name}-lib/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files lib
%defattr(-,root,root,-)
%doc %{name}-lib/LICENSE
%{_javadir}/%{name}-lib.jar
%{_javadir}/%{name}-lib-%{version}.jar

%files gui
%defattr(-,root,root,-)
%doc %{name}-gui/LICENSE
%{_javadir}/%{name}-gui.jar
%{_javadir}/%{name}-gui-%{version}.jar

%files lib-javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Sandro Mathys <red at fedoraproject.org> - 2.0.1-2
- For the javac call, the classpath is no longer hardcoded with the
  absolute paths to the javadir (currently that's only jdom). Instead,
  build-classpath is used.

* Tue Dec 16 2008 Sandro Mathys <red at fedoraproject.org> - 2.0.1-1
- initial build
